.page-section {
  padding-inline: 0;
  @media (min-width: 768px) {
    padding-inline: var(--content-spacing);
  }
}
.column-wrapper {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto auto;
  gap: 40px;
  align-items: flex-start;
  @media (min-width: 900px) {
    grid-template-columns: 1fr 280px;
    grid-template-rows: auto;
    gap: 20px;
  }
}

.side-contents {
  box-sizing: border-box;
  @media (min-width: 768px) {
    border: 1px solid #e2e2e2;
    border-top: none;
  }
}
.side-title {
  background-color: #f7f7f7;
  border-top: 1px solid #e2e2e2;
  color: #333333;
  line-height: 60px;
  font-size: 16px;
  font-weight: bold;
  text-align: center;
}
.side-box {
  padding-inline: 20px;
  background-color: #fff;
  padding-bottom: 5px;
}

.side-keywords {
  padding-block: 20px;
  display: flex;
  flex-wrap: wrap;
  gap: 5px;
}
.side-keyword {
  border: 1px solid #e2e2e2;
  border-radius: 15px;
  padding: 3px 10px 3px 28px;
  position: relative;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  color: #333;
  text-decoration: none;
  font-size: 16px;
  line-height: 1.2;
  .tag {
    color: #d5d5d5;
    position: absolute;
    top: 3px;
    left: 3px;
    margin-left: 4px;
    margin-top: 3px;
    width: 7px;
    height: 7px;
    border-radius: 1px 1px 1px 0px;
    border-left: solid 1px currentColor;
    border-top: solid 1px currentColor;
    &::before {
      content: '';
      position: absolute;
      color: #d5d5d5;
      left: 1px;
      top: 1px;
      width: 9px;
      height: 10px;
      border-radius: 1px;
      border-left: solid 1px currentColor;
      border-right: solid 1px currentColor;
      border-bottom: solid 1px currentColor;
      -webkit-transform: rotate(-45deg);
      transform: rotate(-45deg);
    }
    &::after {
      content: '';
      position: absolute;
      color: #d5d5d5;
      left: 3px;
      top: 3px;
      width: 2px;
      height: 2px;
      border-radius: 50%;
      background-color: currentColor;
    }
  }
  &:hover {
    color: var(--main-color);
    border-color: var(--main-color);
    .tag {
      border-color: var(--main-color);
      &::before {
        border-color: var(--main-color);
      }
      &::after {
        background-color: var(--main-color);
      }
    }
  }
}
.side-keyword-active {
  color: var(--main-color);
  border-color: var(--main-color);
  .tag {
    border-color: var(--main-color);
    &::before {
      border-color: var(--main-color);
    }
    &::after {
      background-color: var(--main-color);
    }
  }
}
.side-category-link {
  line-height: 1.5;
  text-align: left;
  font-size: 16px;
  border-bottom: 1px solid #e6e6e6;
  position: relative;
  display: flex;
  align-items: center;
  gap: 16px;
  text-decoration: none;
  color: #333;
  padding-block: 18px;
  &::before {
    content: '\f054';
    font-family: 'Font Awesome 6 Free';
    font-weight: 900;
    font-size: 14px;
    color: var(--main-color);
  }
  &:hover {
    color: var(--main-color);
  }
}
.side-category-item:last-child .side-category-link {
  border-bottom: none;
}

.arcLabel {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 60px;
  line-height: 60px;
  position: relative;
  font-size: 16px;
  cursor: pointer;
}

.arcLabel:hover {
  color: var(--main-color);
}

.arcLabel::after {
  content: '\f107';
  font-family: 'Font Awesome 6 Free';
  color: var(--main-color);
  font-weight: 900;
  font-size: 16px;
}

.arcLabel:has(+ .arcCheck:checked)::after {
  content: '\f106';
  font-family: 'Font Awesome 6 Free';
  font-weight: 900;
  font-size: 16px;
  color: var(--main-color);
}

.arcCheck {
  display: none;
}

.sideArchiveList li:last-child .archiveMonthList {
  border-bottom: 0;
}

.sideInnerText {
  text-align: right;
  font-size: 16px;
}

.archiveMonthList li {
  margin: 0 16px;
  height: 0;
  line-height: 40px;
  border: 0;
  position: relative;
  overflow: hidden;
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
  -ms-transition: all 0.5s;
  -o-transition: all 0.5s;
  transition: all 0.5s;
}

.arcCheck:checked + .archiveMonthList li {
  height: 40px;
  margin: 0 16px;
  line-height: 40px;
  opacity: 1;
}

.arcCheck:checked + .archiveMonthList li:last-child {
  margin: 0 16px 10px;
}

.archiveMonthList li a {
  display: flex;
  align-items: center;
  gap: 16px;
  width: 100%;
  height: 100%;
  text-decoration: none;
  color: #333333;
  font-size: 16px;
}

.archiveMonthList li a::before,
.arcCheck:checked + .archiveMonthList li a::before {
  content: '\f054';
  font-family: 'Font Awesome 6 Free';
  font-weight: 900;
  font-size: 14px;
  color: var(--main-color);
}

.archiveMonthList li a:hover {
  color: var(--main-color);
}
